[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.Capacity

Capacity of the list, i.e. number of strings that the list can currently hold before it tries to expand.

## Declaration

Source position: classesh.inc line 688

`public property TStrings.Capacity : Integer read GetCapacity write SetCapacity;`

## Description

Capacity is the number of strings that the list can hold before it tries to allocate more memory.

TStrings returns TStrings.Count when read. Trying to set the capacity has no effect. Descendent classes such as TStringlist can override this property such that it actually sets the new capacity.

## See also

TStringList |  | Standard implementation of the TStrings class.
TStrings.Count |  | Number of strings in the list.

Documentation generated on: Feb 26 2014